//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_FileHandlerWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(FileHandler), typeof(System.Object));
		L.RegFunction("CreateText",FUNCTAG_CreateText);
        L.RegFunction("OpenText",FUNCTAG_OpenText);
		L.RegFunction("AppendText",FUNCTAG_AppendText);
        L.RegFunction("OpenByte",FUNCTAG_OpenByte);
        L.RegFunction("CreateByte",FUNCTAG_CreateByte);
        L.RegFunction("ReadText",FUNCTAG_ReadText);
		L.RegFunction("ReadByte",FUNCTAG_ReadByte);
        L.RegFunction("WriteText",FUNCTAG_WriteText);
        L.RegFunction("WriteByte",FUNCTAG_WriteByte);
        L.RegFunction("ReadByteToString",FUNCTAG_ReadByteToString);
        L.RegFunction("WriteStringToByte",FUNCTAG_WriteStringToByte);
        L.RegFunction("ReadCompressText",FUNCTAG_ReadCompressText);
        L.RegFunction("WriteCompressText",FUNCTAG_WriteCompressText);
		L.RegFunction("Close",FUNCTAG_Close);
		L.RegFunction("__tostring",ToLua.op_ToString);
		L.EndClass();
	}


	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_CreateText(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			string arg0 = ToLua.CheckString(L, 1);
			FileHandler o = FileHandler.FUNCTAG_CreateText(arg0);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_CreateByte(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			string arg0 = ToLua.CheckString(L, 1);
			FileHandler o = FileHandler.FUNCTAG_CreateByte(arg0);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_OpenText(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			string arg0 = ToLua.CheckString(L, 1);
            FileHandler o = FileHandler.FUNCTAG_OpenText(arg0);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_AppendText(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			string arg0 = ToLua.CheckString(L, 1);
			FileHandler o = FileHandler.FUNCTAG_AppendText(arg0);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_OpenByte(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
            string arg0 = ToLua.CheckString(L, 1);
			FileHandler o = FileHandler.FUNCTAG_OpenByte(arg0);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_ReadText(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			FileHandler obj = (FileHandler)ToLua.CheckObject(L, 1, typeof(FileHandler));
			string o = obj.FUNCTAG_ReadText();
			LuaDLL.lua_pushstring(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}


	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_ReadByte(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			FileHandler obj = (FileHandler)ToLua.CheckObject(L, 1, typeof(FileHandler));
			byte[] o = obj.FUNCTAG_ReadByte();
			ToLua.Push(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_ReadCompressText(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 1);
            FileHandler obj = (FileHandler)ToLua.CheckObject(L, 1, typeof(FileHandler));
            string s = obj.FUNCTAG_ReadCompressText();
            ToLua.Push(L, s);
            return 1;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_WriteText(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			FileHandler obj = (FileHandler)ToLua.CheckObject(L, 1, typeof(FileHandler));
			string arg0 = ToLua.CheckString(L, 2);
            obj.FUNCTAG_WriteText(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_WriteByte(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			FileHandler obj = (FileHandler)ToLua.CheckObject(L, 1, typeof(FileHandler));
			byte[] arg0 = ToLua.CheckByteBuffer(L, 2);
			obj.FUNCTAG_WriteByte(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_WriteCompressText(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 2);
            FileHandler obj = (FileHandler)ToLua.CheckObject(L, 1, typeof(FileHandler));
            string arg0 = ToLua.CheckString(L, 2);
            obj.FUNCTAG_WriteCompressText(arg0);
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Close(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			FileHandler obj = (FileHandler)ToLua.CheckObject(L, 1, typeof(FileHandler));
			obj.FUNCTAG_Close();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    private static int FUNCTAG_ReadByteToString(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 1);
            FileHandler obj = (FileHandler)ToLua.CheckObject(L, 1, typeof(FileHandler));
            byte[] o = obj.FUNCTAG_ReadByte();
            LuaDLL.lua_pushlstring(L, o, o.Length);
            return 1;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_WriteStringToByte(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 2);
            FileHandler obj = (FileHandler)ToLua.CheckObject(L, 1, typeof(FileHandler));
            byte[] data = LuaDLL.lua_tobytearray(L, 2);
            obj.FUNCTAG_WriteByte(data);
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }
}

